# Method: projects.locations.updateIntelligenceConfig

- [HTTP request](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#body.aspect)
- [Try it!](https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig/projects.locations/updateIntelligenceConfig#try-it)

Updates the `IntelligenceConfig` resource associated with your project.

**IAM Permissions**:

Requires `storage.intelligenceConfigs.update` [IAM](https://cloud.google.com/iam/docs/overview#permissions) permission on the project.

### HTTP request

`PATCH https://storage.googleapis.com/v2/projects/projectId/locations/global/intelligenceConfig`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `IntelligenceConfig` resource associated with your project. Format: `projects/projectId/locations/global/intelligenceConfig` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The `updateMask` that specifies the fields within the `IntelligenceConfig` resource that should be modified by this update. Only the listed fields are updated. |
| `requestId` | `string` Optional. The ID that uniquely identifies the request, preventing duplicate processing. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/storage/docs/json_api/v1/intelligenceConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/devstorage.full_control`
- `https://www.googleapis.com/auth/devstorage.read_only`
- `https://www.googleapis.com/auth/devstorage.read_write`
- `https://www.googleapis.com/auth/devstorage.write_only`
- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).